import type { _MKGeoJSONObject } from "./MKGeoJSONObject.js";
import type { _MKShape } from "./MKShape.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { CLLocationCoordinate2D } from "../structs/CLLocationCoordinate2D.js";
export declare class _MKPointAnnotation extends _MKShape {
    static alloc(): _MKPointAnnotation;
    static new(): _MKPointAnnotation;
    init(): _MKPointAnnotation;
    initWithCoordinate$(coordinate: CLLocationCoordinate2D): _MKPointAnnotation;
    initWithCoordinate$title$subtitle$(coordinate: CLLocationCoordinate2D, title: _NSString | null, subtitle: _NSString | null): _MKPointAnnotation;
    coordinate(): CLLocationCoordinate2D;
    setCoordinate$(value: CLLocationCoordinate2D): void;
}
export interface _MKPointAnnotation extends _MKGeoJSONObject {
}
